com.verisign.epp.codec.relateddomainext

## Class EPPRelatedDomainExtRegistered

- java.lang.Object
- - com.verisign.epp.codec.relateddomainext.EPPRelatedDomainExtRegistered

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPRelatedDomainExtRegistered
      extends java.lang.Object
      implements EPPCodecComponent

  EPPCodecComponent that encodes and decodes a <relDom:registered> tag

  Title: EPP 1.0 Related Domain - registered tag

  Description: The EPPRelatedDomainExtRegistered object represents the collection of domains that are registered in a family of related domains. As such it is composed of a collection of `EPPRelatedDomainExtName` objects.
  As XML, it is represented by a <relDom:registered> element containing a number of <relDom:name> elements.

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_NAME` Element tag name for registered

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRelatedDomainExtRegistered()` Default constructor
    `EPPRelatedDomainExtRegistered(java.util.List<EPPRelatedDomainExtName> aRegisteredDomains)` Constructor with a list of registered domain names.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRegisteredDomain(EPPRelatedDomainExtName aRegisteredDomain)` Adds a registered domain represented by `EPPRelatedDomainExtName` to the list of registered domains.
    `java.lang.Object` | `clone()` A deep clone of the EPPRelatedDomainExtRegistered
    `void` | `decode(org.w3c.dom.Element aElement)` Populate the data of this instance with the data stored in the given Element of the DOM tree
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Append all data from the list of the list of registered related domain names represented by `EPPRelatedDomainExtName` to given DOM Document
    `boolean` | `equals(java.lang.Object aObj)` A deep comparison of this with another EPPRelatedDomainExtRegistered.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.util.List<EPPRelatedDomainExtName>` | `getRegisteredDomains()` Returns the registeredDomains
    `boolean` | `hasRegisteredDomains()` Are there any registered domains included in the list of registered domains?
    `void` | `setRegisteredDomains(java.util.List<EPPRelatedDomainExtName> aRegisteredDomains)` Sets registeredDomains value to aRegisteredDomains
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      Element tag name for registered
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRelatedDomainExtRegistered

          public EPPRelatedDomainExtRegistered()

      Default constructor

    - #### EPPRelatedDomainExtRegistered

          public EPPRelatedDomainExtRegistered(java.util.List<EPPRelatedDomainExtName> aRegisteredDomains)

      Constructor with a list of registered domain names.
      Parameters:
        `aRegisteredDomains` - List of registered domain names

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      A deep clone of the EPPRelatedDomainExtRegistered
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of concrete `EPPCodecComponent`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception
      See Also:
        `Object.clone()`

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Populate the data of this instance with the data stored in the given Element of the DOM tree
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - The root element of the report fragment of XML
      Throws:
        `EPPDecodeException` - Thrown if any errors occur during decoding.

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Append all data from the list of the list of registered related domain names represented by `EPPRelatedDomainExtName` to given DOM Document
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - The DOM Document to append data to
      Returns:
        Encoded DOM `Element`
      Throws:
        `EPPEncodeException` - Thrown when errors occur during the encode attempt or if the instance is invalid.

    - #### equals

          public boolean equals(java.lang.Object aObj)

      A deep comparison of this with another EPPRelatedDomainExtRegistered.
      Overrides:
        `equals` in class `java.lang.Object`
      See Also:
        `Object.equals(java.lang.Object)`

    - #### addRegisteredDomain

          public void addRegisteredDomain(EPPRelatedDomainExtName aRegisteredDomain)

      Adds a registered domain represented by `EPPRelatedDomainExtName` to the list of registered domains.
      Parameters:
        `aRegisteredDomain` - Registered domain to add to the list.

    - #### hasRegisteredDomains

          public boolean hasRegisteredDomains()

      Are there any registered domains included in the list of registered domains?
      Returns:
        `true` if the registered domain list is not `null` and there is at least one registered domain in the list; `false` otherwise.

    - #### getRegisteredDomains

          public java.util.List<EPPRelatedDomainExtName> getRegisteredDomains()

      Returns the registeredDomains
      Returns:
        the registeredDomains

    - #### setRegisteredDomains

          public void setRegisteredDomains(java.util.List<EPPRelatedDomainExtName> aRegisteredDomains)

      Sets registeredDomains value to aRegisteredDomains
      Parameters:
        `aRegisteredDomains` - the registered domains to set

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.